<nz-spin [nzSpinning]="isLoading">
  <app-main-layout [title]="organization?.name" [breadCrumbs]="['Manager', 'Mon organisation']">
    <ng-container *ngIf="!isLoading">
      <div *ngIf="user.isAdmin" nz-row>
        <div nz-col nzSpan="24">
          <form [formGroup]="organizationForm" nz-form
                nzLayout="vertical">
            <nz-form-item>
              <nz-form-label nzRequired>Nom de l'organisation</nz-form-label>
              <nz-form-control [nzErrorTip]="nameErrorTpl" nzHasFeedback>
                <input formControlName="name" nz-input placeholder="Nom"/>
                <ng-template #nameErrorTpl let-control>
                  <ng-container *ngIf="control.hasError('required')">
                    Complétez le nom de l'organisation
                  </ng-container>
                </ng-template>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label nzRequired>Validation auto</nz-form-label>
              <nz-form-control>
                <nz-switch formControlName="autoValidation"></nz-switch>
              </nz-form-control>
            </nz-form-item>

            <!--<nz-form-item>
              <nz-form-control>
                <button [disabled]="!organizationForm.valid" nz-button nzType="primary">Sauver</button>
              </nz-form-control>
            </nz-form-item>-->
          </form>
        </div>
      </div>
      <nz-divider></nz-divider>
      <nz-collapse>
        <nz-collapse-panel nzHeader="Créer un atelier">
          <form [formGroup]="workshopForm" nz-form nzLayout="vertical" (ngSubmit)="addEvent()">
            <nz-form-item>
              <nz-form-label nzRequired>Nom</nz-form-label>
              <nz-form-control nzHasFeedback>
                <input formControlName="name" nz-input type="text"/>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-label>Description</nz-form-label>
              <nz-form-control nzHasFeedback>
                <input formControlName="description" nz-input type="text"/>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-control>
                <button [disabled]="workshopForm.invalid" nz-button nzType="primary">Sauver</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-divider></nz-divider>
      <div nz-row *ngIf="organization">
        <div nz-col nzSpan="24">
          <h2>Les ateliers de {{organization.name}}</h2>
          <app-cruder [service]="myOrganizationWorkshopsService" type="" [other]="organization"></app-cruder>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="24">
          <form nz-form nzLayout="vertical" [formGroup]="searchForm">
            <nz-form-item>
              <nz-form-label>Ajouter un patient</nz-form-label>
              <nz-form-control>
                <input placeholder="Rechercher" nz-input formControlName="value"
                       [nzAutocomplete]="auto" />
                <nz-autocomplete #auto [nzBackfill]="true">
                  <nz-auto-option
                    *ngFor="let user of usersList"
                    [nzValue]="user"
                    [nzLabel]="user.lastName + ' ' + user.firstName"
                  >
                    {{ user.lastName }} {{ user.firstName }}
                  </nz-auto-option>
                </nz-autocomplete>
              </nz-form-control>
            </nz-form-item>
            <nz-form-item>
              <nz-form-control>
                <button type="button" [disabled]="searchForm.get('value').invalid" nz-button nzType="primary" (click)="addUser$()">Ajouter</button>
              </nz-form-control>
            </nz-form-item>
          </form>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="24" *ngIf="organization">
          <app-cruder [service]="organizationUsersService" type="isUser" [other]="organization"></app-cruder>
        </div>
      </div>
    </ng-container>
  </app-main-layout>
</nz-spin>
